Bug 237275

Summary: Mk/Uses/gssapi.mk: don't set GSSAPILDFLAGS for USES=gssapi
Product: Ports & Packages Reporter: Piotr Kubaj <pkubaj>
Component: Ports FrameworkAssignee: Piotr Kubaj <pkubaj>
Status: Closed FIXED    
Severity: Affects Some People CC: hrs, linimon, ports-bugs, timp87
Priority: --- Flags: bugzilla: maintainer-feedback? (timp87)
antoine: exp-run+
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
patch
none
v2 none

Description Piotr Kubaj freebsd_committer 2019-04-14 09:19:57 UTC
Created attachment 203658 [details]
patch

Setting GSSAPILDFLAGS for USES=gssapi causes -L/usr/lib to be added to LDFLAGS.

This breaks compilation of some ports, like www/squid on GCC architectures when new GCC from ports needs to be used.

The new GCC tries to link to libstdc++ and fails. Not setting it explicitely causes /usr/local/lib/gcc8/libstdc++.so to be taken instead and /usr/lib is searched for libraries anyway, just with lower priority.

Tested on powerpc64 and amd64 on www/squid.
Comment 1 Piotr Kubaj freebsd_committer 2019-06-27 14:10:42 UTC
This probably requires exp-run.
Comment 2 Antoine Brodin freebsd_committer 2019-07-09 05:51:51 UTC
The patch doesn't look good,  it should probably set GSSAPILDFLAGS to an empty value
Comment 3 Piotr Kubaj freebsd_committer 2019-07-21 11:07:03 UTC
Created attachment 205968 [details]
v2

Ok, here's the new patch.

Just as a side note, I build the whole ports tree for powerpc64 at https://talos.anongoth.pl/build.html?mastername=powerpc64-default&build=2019-07-21_11h14m38s with this patch and it pretty much works.
Comment 4 Antoine Brodin freebsd_committer 2019-07-26 16:43:50 UTC
Exp-run looks fine
Comment 5 commit-hook freebsd_committer 2019-11-29 22:12:01 UTC
A commit references this bug:

Author: pkubaj
Date: Fri Nov 29 22:11:34 UTC 2019
New revision: 518677
URL: https://svnweb.freebsd.org/changeset/ports/518677

Log:
  Mk/Uses/gssapi.mk: don't set GSSAPILDFLAGS for USES=gssapi

  Setting GSSAPILDFLAGS for USES=gssapi causes -L/usr/lib to be added to LDFLAGS.

  This breaks compilation of some ports, like www/squid on GCC architectures when new GCC from ports needs to be used.

  The new GCC tries to link to libstdc++ and fails. Not setting it explicitely causes /usr/local/lib/gcc8/libstdc++.so to be taken instead and /usr/lib is searched for libraries anyway, just with lower priority.

  Tested on powerpc64 and amd64 on www/squid.

  PR:		237275
  Approved by:	mentors (implicit approval), hrs (maintainer timeout)

Changes:
  head/Mk/Uses/gssapi.mk